{{!< default}}

{{! The comment above "< default" means - insert everything in this file into
    the {body} of the default.hbs template, which contains our header/footer. }}

{{! The big featured header on the homepage, with the site logo and description }}
<header class="site-head" {{#if @blog.cover}}style="background-image: url({{@blog.cover}})"{{/if}}>
    <div class="vertical">
        <div class="site-head-content inner">
            {{#if @blog.logo}}<a class="blog-logo" href="{{@blog.url}}"><img src="{{@blog.logo}}" alt="Blog Logo" /></a>{{/if}}
            <h1 class="blog-title"><a href="{{@blog.url}}">{{@blog.title}}</a></h1>
            <h2 class="blog-description">{{@blog.description}}</h2>
        </div>
    </div>
</header>

{{! The main content area on the homepage }}
<main class="content" role="main">

    {{! Each post will be output using this markup }}
    {{#foreach posts}}

    <article class="{{post_class}}">
        <header class="post-header">
            <h4 class="post-title"><a href="{{url}}">{{{title}}}</a></h4>
            <span class="post-meta"><time datetime="{{date format='Do-MMMM-YYYY'}}">{{date format="Do MMMM YYYY"}}</time> </span>

        </header>
     
    </article>

    {{/foreach}}

    {{!! After all the posts, we have the previous/next pagination links }}
    {{pagination}}

</main>